LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (http://www.linuxquestions.org/questions/linux-software-2/)
-   -   DraftSight - workspace area is blank (http://www.linuxquestions.org/questions/linux-software-2/draftsight-workspace-area-is-blank-881292/)

kmacphail 05-17-2011 05:32 PM

DraftSight - workspace area is blank
 
I recently downloaded DraftSight for my Crunchbang XFCE distro. As I'm using the 64 bit version of the distro and,sadly, DraftSight only offers a 32 bit version I had to use a bit of a workaround to get the program to install.

This involved downloading the .deb file from the DraftSight site and installing some dependencies. The file was then installed with the following command:
Code:

sudo dpkg --force-architecture -i DraftSight.deb
Whilst installing I received the following messages:

Quote:

dpkg: warning: overriding problem because --force enabled:
package architecture (i386) does not match system (amd64)
(Reading database ... 167719 files and directories currently installed.)
Preparing to replace dassault-systemes-draftsight 2011.2.705 (using DraftSight.deb) ...
access control disabled, clients can connect from any host
access control disabled, clients can connect from any host
access control disabled, clients can connect from any host

(ShowLicence:6028): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so: wrong ELF class: ELFCLASS64

(ShowLicence:6028): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so: wrong ELF class: ELFCLASS64

(ShowLicence:6028): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so: wrong ELF class: ELFCLASS64

(ShowLicence:6028): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so: wrong ELF class: ELFCLASS64

(ShowLicence:6028): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so: wrong ELF class: ELFCLASS64

(ShowLicence:6028): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so: wrong ELF class: ELFCLASS64

(ShowLicence:6028): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so: wrong ELF class: ELFCLASS64

(ShowLicence:6028): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so: wrong ELF class: ELFCLASS64

(ShowLicence:6028): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so: wrong ELF class: ELFCLASS64

(ShowLicence:6028): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so: wrong ELF class: ELFCLASS64

(ShowLicence:6028): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so: wrong ELF class: ELFCLASS64

(ShowLicence:6028): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so: wrong ELF class: ELFCLASS64
access control enabled, only authorized clients can connect
access control enabled, only authorized clients can connect
access control enabled, only authorized clients can connect
Unpacking replacement dassault-systemes-draftsight ...
Setting up dassault-systemes-draftsight (2011.2.705) ...
I am able to start the program, however I am not able to use it as the workspace is completely blank. The mouse cursor disappears when it is moved over it. When started from the command line I receive the following messages:

Code:

(<unknown>:10110): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so: wrong ELF class: ELFCLASS64
(<unknown>:10110): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so: wrong ELF class: ELFCLASS64
(<unknown>:10110): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so: wrong ELF class: ELFCLASS64
(<unknown>:10110): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so: wrong ELF class: ELFCLASS64
(<unknown>:10110): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so: wrong ELF class: ELFCLASS64
(<unknown>:10110): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so: wrong ELF class: ELFCLASS64
(<unknown>:10110): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so: wrong ELF class: ELFCLASS64
(<unknown>:10110): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so: wrong ELF class: ELFCLASS64
(<unknown>:10110): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so: wrong ELF class: ELFCLASS64
(<unknown>:10110): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so: wrong ELF class: ELFCLASS64
(<unknown>:10110): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so: wrong ELF class: ELFCLASS64
(<unknown>:10110): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so: wrong ELF class: ELFCLASS64
QFSFileEngine::open: No file name specified
QFileInfo::absolutePath: Constructed with empty filename

QFSFileEngine::open: No file name specified
X Error: BadLength (poly request too large or internal Xlib length error) 16
  Extension:    136 (Uknown extension)
  Minor opcode: 1 (Unknown request)
  Resource id:  0x1ad
X Error: BadLength (poly request too large or internal Xlib length error) 16
  Extension:    136 (Uknown extension)
  Minor opcode: 1 (Unknown request)
  Resource id:  0x1ad
X Error: BadLength (poly request too large or internal Xlib length error) 16
  Extension:    136 (Uknown extension)
  Minor opcode: 1 (Unknown request)
  Resource id:  0x1ad
X Error: BadLength (poly request too large or internal Xlib length error) 16
  Extension:    136 (Uknown extension)
  Minor opcode: 1 (Unknown request)
  Resource id:  0x1ad
X Error: BadLength (poly request too large or internal Xlib length error) 16
  Extension:    136 (Uknown extension)
  Minor opcode: 1 (Unknown request)
  Resource id:  0x1ad
X Error: BadLength (poly request too large or internal Xlib length error) 16
  Extension:    136 (Uknown extension)
  Minor opcode: 1 (Unknown request)
  Resource id:  0x1ad
X Error: BadLength (poly request too large or internal Xlib length error) 16
  Extension:    136 (Uknown extension)
  Minor opcode: 1 (Unknown request)
  Resource id:  0x1ad
X Error: BadLength (poly request too large or internal Xlib length error) 16
  Extension:    136 (Uknown extension)
  Minor opcode: 1 (Unknown request)
  Resource id:  0x1ad
X Error: BadLength (poly request too large or internal Xlib length error) 16
  Extension:    136 (Uknown extension)
  Minor opcode: 1 (Unknown request)
  Resource id:  0x1ad
X Error: BadLength (poly request too large or internal Xlib length error) 16
  Extension:    136 (Uknown extension)
  Minor opcode: 1 (Unknown request)
  Resource id:  0x1ad
X Error: BadLength (poly request too large or internal Xlib length error) 16
  Extension:    136 (Uknown extension)
  Minor opcode: 1 (Unknown request)
  Resource id:  0x1ad
X Error: BadLength (poly request too large or internal Xlib length error) 16
  Extension:    136 (Uknown extension)
  Minor opcode: 1 (Unknown request)
  Resource id:  0x1ad

I'm assuming the problem arises from the GTK warning, however after a search of the net I am unable to find a solution other than making sure my system is up to date (which it is), however this hasn't solved my problem.

sysfce2 05-19-2011 09:41 PM

It looks like your distro is not multi-lib enabled (the --force-architecture will not help with this: it just is telling the installer to ignore that error).
Try some googling on how to install the 32 bit libraries. I know on Slackware (which is what I am running) you also have to run a command every time you try to compile (and possibly install 32 bit programs), so Crunchbang likely has something similar.
Your kernel will also have to have been built with IA32_EMULATION enabled.


All times are GMT -5. The time now is 12:34 PM.